{% extends 'portfolio/base.html' %}
{% load static %}
{% load meta %}
{% block title %}Devfolio{% endblock %}

{% block body %}
    <!-- ======= Header/ Navbar ======= -->
    <nav class="navbar navbar-b navbar-trans navbar-expand-md fixed-top" id="mainNav">
        <div class="container">
            <a class="navbar-brand js-scroll" href="#page-top">DevFolio</a>
            <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarDefault"
                    aria-controls="navbarDefault" aria-expanded="false" aria-label="Toggle navigation">
                <span></span>
                <span></span>
                <span></span>
            </button>
            <div class="navbar-collapse collapse justify-content-end" id="navbarDefault">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link js-scroll active" href="/">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll" href="#about">About</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll" href="#service">Services</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll" href="#work">Work</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll" href="#blog">Blog</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll" href="#contact">Contact</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'login' %}">Login</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <!-- ======= Intro Section ======= -->
    <div id="home" class="intro route bg-image"
         style="background-image: url({% static 'portfolio/assets/img/intro-bg.jpg' %})">
        <div class="overlay-itro"></div>
        <div class="intro-content display-table">
            <div class="table-cell">
                <div class="container">
                    <!--<p class="display-6 color-d">Hello, world!</p>-->
                    <h1 class="intro-title mb-4">I am {{ full_name }}</h1>
                    <p class="intro-subtitle"><span class="text-slider-items">{{ job_list|join:"," }}</span><strong
                            class="text-slider"></strong></p>
                    <!-- <p class="pt-3"><a class="btn btn-primary btn js-scroll px-4" href="#about" role="button">Learn More</a></p> -->
                </div>
            </div>
        </div>
    </div><!-- End Intro Section -->

    <main id="main">

        <!-- ======= About Section ======= -->
        <section id="about" class="about-mf sect-pt4 route">
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="box-shadow-full">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="row">
                                        <div class="col-sm-6 col-md-5">
                                            <div class="about-img">
                                                <img src="{% static '/portfolio/assets/img/testimonial-2.jpg' %}"
                                                     class="img-fluid rounded b-shadow-a" alt="">
                                            </div>
                                        </div>
                                        <div class="col-sm-6 col-md-7">
                                            <div class="about-info">
                                                <p><span class="title-s">Name: </span> <span>{{ full_name }}</span></p>
                                                <p><span class="title-s">Profile: </span> <span>{{ profile }}</span></p>
                                                <p><span class="title-s">Email: </span> <span>{{ contact.email }}</span>
                                                </p>
                                                <p><span class="title-s">Phone: </span> <span>{{ contact.phone }}</span>
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="skill-mf">
                                        <p class="title-s">Skill</p>

                                        {% for skill in skills %}
                                            <span>{{ skill.title }}</span>
                                            <span class="pull-right">{{ skill.value }}%</span>
                                            <div class="progress">
                                                <div class="progress-bar" role="progressbar"
                                                     style="width: {{ skill.value }}%;"
                                                     aria-valuenow="{{ skill.value }}" aria-valuemin="0"
                                                     aria-valuemax="100"></div>
                                            </div>
                                        {% endfor %}

                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="about-me pt-4 pt-md-0">
                                        <div class="title-box-2">
                                            <h5 class="title-left">
                                                About me
                                            </h5>
                                        </div>
                                        <div class="lead">
                                                {% print_meta_value 'about_text' %}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section><!-- End About Section -->

        <!-- ======= Services Section ======= -->
        <section id="service" class="services-mf pt-5 route">
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="title-box text-center">
                            <h3 class="title-a">
                                Services
                            </h3>
                            <p class="subtitle-a">
                                Lorem ipsum, dolor sit amet consectetur adipisicing elit.
                            </p>
                            <div class="line-mf"></div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="service-box">
                            <div class="service-ico">
                                <span class="ico-circle"><i class="ion-monitor"></i></span>
                            </div>
                            <div class="service-content">
                                <h2 class="s-title">Web Design</h2>
                                <p class="s-description text-center">
                                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni adipisci eaque autem
                                    fugiat! Quia,
                                    provident vitae! Magni
                                    tempora perferendis eum non provident.
                                </p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="service-box">
                            <div class="service-ico">
                                <span class="ico-circle"><i class="ion-code-working"></i></span>
                            </div>
                            <div class="service-content">
                                <h2 class="s-title">Web Development</h2>
                                <p class="s-description text-center">
                                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni adipisci eaque autem
                                    fugiat! Quia,
                                    provident vitae! Magni
                                    tempora perferendis eum non provident.
                                </p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="service-box">
                            <div class="service-ico">
                                <span class="ico-circle"><i class="ion-camera"></i></span>
                            </div>
                            <div class="service-content">
                                <h2 class="s-title">Photography</h2>
                                <p class="s-description text-center">
                                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni adipisci eaque autem
                                    fugiat! Quia,
                                    provident vitae! Magni
                                    tempora perferendis eum non provident.
                                </p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="service-box">
                            <div class="service-ico">
                                <span class="ico-circle"><i class="ion-android-phone-portrait"></i></span>
                            </div>
                            <div class="service-content">
                                <h2 class="s-title">Responsive Design</h2>
                                <p class="s-description text-center">
                                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni adipisci eaque autem
                                    fugiat! Quia,
                                    provident vitae! Magni
                                    tempora perferendis eum non provident.
                                </p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="service-box">
                            <div class="service-ico">
                                <span class="ico-circle"><i class="ion-paintbrush"></i></span>
                            </div>
                            <div class="service-content">
                                <h2 class="s-title">Graphic Design</h2>
                                <p class="s-description text-center">
                                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni adipisci eaque autem
                                    fugiat! Quia,
                                    provident vitae! Magni
                                    tempora perferendis eum non provident.
                                </p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="service-box">
                            <div class="service-ico">
                                <span class="ico-circle"><i class="ion-stats-bars"></i></span>
                            </div>
                            <div class="service-content">
                                <h2 class="s-title">Marketing Services</h2>
                                <p class="s-description text-center">
                                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni adipisci eaque autem
                                    fugiat! Quia,
                                    provident vitae! Magni
                                    tempora perferendis eum non provident.
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section><!-- End Services Section -->

        <!-- ======= Counter Section ======= -->
        <div class="section-counter paralax-mf bg-image" style="background-image: url(assets/img/counters-bg.jpg)">
            <div class="overlay-mf"></div>
            <div class="container">
                <div class="row">
                    <div class="col-sm-3 col-lg-3">
                        <div class="counter-box counter-box pt-4 pt-md-0">
                            <div class="counter-ico">
                                <span class="ico-circle"><i class="ion-checkmark-round"></i></span>
                            </div>
                            <div class="counter-num">
                                <p class="counter">450</p>
                                <span class="counter-text">WORKS COMPLETED</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-3 col-lg-3">
                        <div class="counter-box pt-4 pt-md-0">
                            <div class="counter-ico">
                                <span class="ico-circle"><i class="ion-ios-calendar-outline"></i></span>
                            </div>
                            <div class="counter-num">
                                <p class="counter">15</p>
                                <span class="counter-text">YEARS OF EXPERIENCE</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-3 col-lg-3">
                        <div class="counter-box pt-4 pt-md-0">
                            <div class="counter-ico">
                                <span class="ico-circle"><i class="ion-ios-people"></i></span>
                            </div>
                            <div class="counter-num">
                                <p class="counter">550</p>
                                <span class="counter-text">TOTAL CLIENTS</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-3 col-lg-3">
                        <div class="counter-box pt-4 pt-md-0">
                            <div class="counter-ico">
                                <span class="ico-circle"><i class="ion-ribbon-a"></i></span>
                            </div>
                            <div class="counter-num">
                                <p class="counter">36</p>
                                <span class="counter-text">AWARD WON</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div><!-- End Counter Section -->

        <!-- ======= Portfolio Section ======= -->
        <section id="work" class="portfolio-mf sect-pt4 route">
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="title-box text-center">
                            <h3 class="title-a">
                                Portfolio
                            </h3>
                            <p class="subtitle-a">
                                Lorem ipsum, dolor sit amet consectetur adipisicing elit.
                            </p>
                            <div class="line-mf"></div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    {% for single_work in portfolio %}
                        <div class="col-md-4">
                            <div class="work-box">
                                <a href="{{ single_work.photo.url }}" data-gall="portfolioGallery" class="venobox">
                                    <div class="work-img">
                                        <img src="{{ single_work.photo.url }}" alt="" class="img-fluid">
                                    </div>
                                    <div class="work-content">
                                        <div class="row">
                                            <div class="col-sm-8">
                                                <h2 class="w-title">{{ single_work.title }}</h2>
                                                <div class="w-more">
                                                    <span class="w-ctegory">{{ single_work.type }}</span> / <span
                                                        class="w-date">{{ single_work.date }}</span>
                                                </div>
                                            </div>
                                            <div class="col-sm-4">
                                                <div class="w-like">
                                                    <span class="ion-ios-plus-outline"></span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </a>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </section><!-- End Portfolio Section -->

        <!-- ======= Testimonials Section ======= -->
        <div class="testimonials paralax-mf bg-image" style="background-image: url(assets/img/overlay-bg.jpg)">
            <div class="overlay-mf"></div>
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div id="testimonial-mf" class="owl-carousel owl-theme">
                            <div class="testimonial-box">
                                <div class="author-test">
                                    <img src="{% static 'portfolio/assets/img/testimonial-2.jpg' %}" alt=""
                                         class="rounded-circle b-shadow-a">
                                    <span class="author">Xavi Alonso</span>
                                </div>
                                <div class="content-test">
                                    <p class="description lead">
                                        Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Lorem ipsum
                                        dolor sit amet,
                                        consectetur adipiscing elit.
                                    </p>
                                    <span class="comit"><i class="fa fa-quote-right"></i></span>
                                </div>
                            </div>
                            <div class="testimonial-box">
                                <div class="author-test">
                                    <img src="{% static 'portfolio/assets/img/testimonial-4.jpg' %}" alt=""
                                         class="rounded-circle b-shadow-a">
                                    <span class="author">Marta Socrate</span>
                                </div>
                                <div class="content-test">
                                    <p class="description lead">
                                        Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Lorem ipsum
                                        dolor sit amet,
                                        consectetur adipiscing elit.
                                    </p>
                                    <span class="comit"><i class="fa fa-quote-right"></i></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div><!-- End Testimonials Section -->

        <!-- ======= Blog Section ======= -->
        <section id="blog" class="blog-mf sect-pt4 route">
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="title-box text-center">
                            <h3 class="title-a">
                                Blog
                            </h3>
                            <p class="subtitle-a">
                                Lorem ipsum, dolor sit amet consectetur adipisicing elit.
                            </p>
                            <div class="line-mf"></div>
                        </div>
                    </div>
                </div>
                <div class="row align-content-stretch">
                    {% for post in posts %}
                        <div class="col-md-4">
                            <div class="card card-blog h-100">
                                {% if post.image %}
                                    <div class="card-img">
                                        <a href="{% url 'blog-single' post.pk %}">
                                            <img src="{{ post.image.url }}" alt="" class="img-fluid"
                                                 style="object-fit: cover; height: 200px!important; width: 100%;">
                                        </a>
                                    </div>
                                {% endif %}
                                <div class="card-body">
                                    <div class="card-category-box">
                                        <div class="card-category">
                                            <h6 class="category">{{ post.category.name }}</h6>
                                        </div>
                                    </div>
                                    <h3 class="card-title"><a
                                            href="{% url 'blog-single' post.pk %}">{{ post.title|truncatechars:30 }}</a>
                                    </h3>
                                    <p class="card-description">
                                        {{ post.text|truncatewords:10 }}
                                    </p>
                                </div>
                                <div class="card-footer">
                                    <div class="post-author">
                                        <a href="#">
                                            <img src="{% static 'portfolio/assets/img/testimonial-2.jpg' %}" alt=""
                                                 class="avatar rounded-circle">
                                            <span class="author">{{ post.author }}</span>
                                        </a>
                                    </div>
                                    <div class="post-date">
                                        <span class="ion-ios-clock-outline"></span> {{ post.post_date }}
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </section><!-- End Blog Section -->

        <!-- ======= Contact Section ======= -->
        <section class="paralax-mf footer-paralax bg-image sect-mt4 route"
                 style="background-image: url(assets/img/overlay-bg.jpg)">
            <div class="overlay-mf"></div>
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="contact-mf">
                            <div id="contact" class="box-shadow-full">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="title-box-2">
                                            <h5 class="title-left">
                                                Send Message Us
                                            </h5>
                                        </div>
                                        <div>
                                            <form method="post" role="form">
                                                <div class="row">
                                                    <div class="col-md-12 mb-3">
                                                        {% csrf_token %}
                                                        {% for field in contact_form %}
                                                            <label for="{{ field.id_for_label }}"
                                                                   class="sr-only">{{ field.label }}</label>
                                                            <p class="mb-4">{{ field }}</p>
                                                        {% endfor %}
                                                    </div>
                                                    <div class="col-md-12 text-center">
                                                        <button type="submit"
                                                                class="button button-a button-big button-rouded">Send
                                                            Message
                                                        </button>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="title-box-2 pt-4 pt-md-0">
                                            <h5 class="title-left">
                                                Get in Touch
                                            </h5>
                                        </div>
                                        <div class="more-info">
                                            <p class="lead">
                                                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facilis dolorum
                                                dolorem soluta quidem
                                                expedita aperiam aliquid at.
                                                Totam magni ipsum suscipit amet? Autem nemo esse laboriosam ratione
                                                nobis
                                                mollitia inventore?
                                            </p>
                                            <ul class="list-ico">
                                                <li><span class="ion-ios-location"></span> 329 WASHINGTON ST BOSTON, MA
                                                    02108
                                                </li>
                                                <li><span class="ion-ios-telephone"></span> (617) 557-0089</li>
                                                <li><span class="ion-email"></span> contact@example.com</li>
                                            </ul>
                                        </div>
                                        <div class="socials">
                                            <ul>
                                                <li><a href=""><span class="ico-circle"><i
                                                        class="ion-social-facebook"></i></span></a></li>
                                                <li><a href=""><span class="ico-circle"><i
                                                        class="ion-social-instagram"></i></span></a></li>
                                                <li><a href=""><span class="ico-circle"><i
                                                        class="ion-social-twitter"></i></span></a></li>
                                                <li><a href=""><span class="ico-circle"><i
                                                        class="ion-social-pinterest"></i></span></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section><!-- End Contact Section -->

    </main><!-- End #main -->

    <!-- ======= Footer ======= -->
    <footer>
        <div class="container">
            <div class="row">
                <div class="col-sm-12">
                    <div class="copyright-box">
                        <p class="copyright">&copy; Copyright <strong>DevFolio</strong>. All Rights Reserved</p>
                        <div class="credits">
                            <!--
                            All the links in the footer should remain intact.
                            You can delete the links only if you purchased the pro version.
                            Licensing information: https://bootstrapmade.com/license/
                            Purchase the pro version with working PHP/AJAX contact form: https://bootstrapmade.com/buy/?theme=DevFolio
                          -->
                            Designed by <a href="https://bootstrapmade.com/">BootstrapMade</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer><!-- End  Footer -->
{% endblock %}
